xquery version "1.0";
(:
    Converts $EXIST_HOME/samples/biblio.rdf to a collection of book xml files
:)

declare namespace dc = "http://purl.org/dc/elements/1.1/";
declare namespace rdf = "http://www.w3.org/1999/02/22-rdf-syntax-ns#";
declare namespace x = "http://exist.sourceforge.net/dc-ext";

for $description in doc("/db/oxford/biblio.rdf")/rdf:RDF/rdf:Description
	let $book := 
		<book xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:x="http://exist.sourceforge.net/dc-ext">{
			$description/child::node()
		}</book> return
	xmldb:store("xmldb:exist:///db/oxford/books", "", $book)